/********************************************************************************
 * Copyright (c) 2006, 2008 IBM Corporation. All rights reserved.
 * This program and the accompanying materials are made available under the terms
 * of the Eclipse Public License v1.0 which accompanies this distribution, and is 
 * available at http://www.eclipse.org/legal/epl-v10.html
 * 
 * Initial Contributors:
 * The following IBM employees contributed to the Remote System Explorer
 * component that contains this file: David McKnight, Kushal Munir, 
 * Michael Berger, David Dykstal, Phil Coulthard, Don Yantzi, Eric Simpson, 
 * Emily Bruner, Mazen Faraj, Adrian Storisteanu, Li Ding, and Kent Hawley.
 * 
 * Contributors:
 * David McKnight   (IBM) - [226561] [apidoc] Add API markup to RSE Javadocs where extend / implement is allowed
 ********************************************************************************/

package org.eclipse.dstore.core.model;

/**
 * @noextend This class is not intended to be subclassed by clients.
 * @noinstantiate This class is not intended to be instantiated by clients.
 **/
public class DataStoreResources 
{
	public static final String model_Log_Root="Log Root"; //$NON-NLS-1$
	public static final String model_Tool_Root="Tool Root"; //$NON-NLS-1$
	public static final String model_Set="Set"; //$NON-NLS-1$
	public static final String model_Modify="Modify"; //$NON-NLS-1$
	public static final String model_timeout="timeout"; //$NON-NLS-1$
	public static final String model_data="data"; //$NON-NLS-1$
	public static final String model_transient="transient"; //$NON-NLS-1$
	public static final String model_all="all"; //$NON-NLS-1$
	public static final String model_host="host"; //$NON-NLS-1$
	public static final String model_root="root"; //$NON-NLS-1$
	public static final String model_descriptors="descriptors"; //$NON-NLS-1$
	public static final String model_descriptor_for="descriptor for"; //$NON-NLS-1$
	public static final String model_project="Project"; //$NON-NLS-1$
	public static final String model_log="log"; //$NON-NLS-1$
	public static final String model_deleted="deleted"; //$NON-NLS-1$
	public static final String model_status="status"; //$NON-NLS-1$
	public static final String model_start="start"; //$NON-NLS-1$
	public static final String model_failed="failed"; //$NON-NLS-1$
	public static final String model_done="done"; //$NON-NLS-1$
	public static final String model_working="working"; //$NON-NLS-1$
	public static final String model_progress="progress"; //$NON-NLS-1$
	public static final String model_error="error"; //$NON-NLS-1$
	public static final String model_warning="warning"; //$NON-NLS-1$
	public static final String model_informational="informational"; //$NON-NLS-1$
	public static final String model_markers="markers"; //$NON-NLS-1$
	public static final String model_invocation="invocation"; //$NON-NLS-1$
	public static final String model_pattern="pattern"; //$NON-NLS-1$
	public static final String model_input="input"; //$NON-NLS-1$
	public static final String model_output="output"; //$NON-NLS-1$
	public static final String model_details="details"; //$NON-NLS-1$
	public static final String model_contents="contents"; //$NON-NLS-1$
	public static final String model_contents_arguments="Contents and Arguments"; //$NON-NLS-1$
	public static final String model_parent="parent"; //$NON-NLS-1$
	public static final String model_arguments="arguments"; //$NON-NLS-1$
	public static final String model_Commands="Commands"; //$NON-NLS-1$
	public static final String model_device="device"; //$NON-NLS-1$
	public static final String model_directory="directory"; //$NON-NLS-1$
	public static final String model_folder="folder"; //$NON-NLS-1$
	public static final String model_file="file"; //$NON-NLS-1$
	public static final String model_Filesystem_Objects="Filesystem Objects"; //$NON-NLS-1$
	public static final String model_Container_Object="Container Object"; //$NON-NLS-1$
	public static final String model_Directories="Directories"; //$NON-NLS-1$
	public static final String model_Details="Details"; //$NON-NLS-1$
	public static final String model_miners="miners"; //$NON-NLS-1$
	public static final String model_miner="miner"; //$NON-NLS-1$
	public static final String model_state="state"; //$NON-NLS-1$
	public static final String model_ticket="ticket"; //$NON-NLS-1$
	public static final String model_valid="valid"; //$NON-NLS-1$
	public static final String model_invalid="invalid"; //$NON-NLS-1$
	public static final String model_abstracted_by="abstracted by"; //$NON-NLS-1$
	public static final String model_abstracts="abstracts"; //$NON-NLS-1$
	public static final String model_incomplete="incomplete"; //$NON-NLS-1$
	public static final String model_Miner_Details="Miner Details"; //$NON-NLS-1$
	public static final String model_Hosts="Hosts"; //$NON-NLS-1$
	public static final String model_Tools="Tools"; //$NON-NLS-1$
	public static final String model_Schema="Schema"; //$NON-NLS-1$
	public static final String model_Logged_Commands="Logged Commands"; //$NON-NLS-1$
	public static final String model_Cancel="Cancel"; //$NON-NLS-1$
	public static final String model_Get_Schema="Get Schema"; //$NON-NLS-1$
	public static final String model_Show_Ticket="Show Ticket"; //$NON-NLS-1$
	public static final String model_Init_Miners="Init Miners"; //$NON-NLS-1$
	public static final String model_Set_Host="Set Host"; //$NON-NLS-1$
	public static final String model_Exit="Exit"; //$NON-NLS-1$
	public static final String model_Connect_to="Connect to"; //$NON-NLS-1$
	public static final String model_Disconnect_from="Disconnect from"; //$NON-NLS-1$
	public static final String model_Delete_Connection="Delete Connection"; //$NON-NLS-1$
	public static final String model_time="time"; //$NON-NLS-1$
	public static final String model_property="property"; //$NON-NLS-1$
	public static final String model_start_time="start time"; //$NON-NLS-1$
	public static final String model_command_time="command time"; //$NON-NLS-1$
	public static final String model_Transient_Objects="Transient Objects"; //$NON-NLS-1$
	public static final String model_Data="Data"; //$NON-NLS-1$
	public static final String model_No_input="No input"; //$NON-NLS-1$
	public static final String model_Open="Open"; //$NON-NLS-1$
	public static final String model_Close="Close"; //$NON-NLS-1$
	public static final String model_Refresh="Refresh"; //$NON-NLS-1$
	public static final String model_Query="Query"; //$NON-NLS-1$
	public static final String model_Cancellable="Cancellable"; //$NON-NLS-1$

	public static final String SERIALIZED_TYPE="SERIALIZED"; //$NON-NLS-1$
	public static final String CLASS_TYPE="CLASS"; //$NON-NLS-1$
	public static final String REQUEST_CLASS_TYPE="REQUEST_CLASS"; //$NON-NLS-1$
	public static final String DEFAULT_CLASSBYTESTREAMHANDLER="default"; 	 //$NON-NLS-1$
	public static final String FILE_TYPE="FILE"; //$NON-NLS-1$
	public static final String DOCUMENT_TYPE="DOCUMENT"; //$NON-NLS-1$
	public static final String DEFAULT_BYTESTREAMHANDLER="default"; //$NON-NLS-1$
	public static final String TRUE="true"; //$NON-NLS-1$
	public static final String FALSE="false"; //$NON-NLS-1$
	public static final String DELETED="deleted"; //$NON-NLS-1$
	public static final String KEEPALIVE_TYPE="KEEPALIVE"; //$NON-NLS-1$
	public static final String KEEPALIVECONFIRM_TYPE="CONFIRMKEEPALIVE"; //$NON-NLS-1$
	public static final String REFERENCE="reference"; //$NON-NLS-1$
	public static final String VALUE="value"; //$NON-NLS-1$
	public static final String SPIRIT="spirit"; //$NON-NLS-1$
}
